Name:          jackson-jaxrs-providers
Version:       2.2.2
Release:       1%{?dist}
Summary:       Jackson JAX-RS providers
License:       ASL 2.0
URL:           http://wiki.fasterxml.com/JacksonHome
Source0:       https://github.com/FasterXML/jackson-jaxrs-providers/archive/%{name}-%{version}.tar.gz
# jackson-jaxrs-json-provider package don't include the license file
# https://github.com/FasterXML/jackson-jaxrs-json-provider/issues/23
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: mvn(com.fasterxml:oss-parent)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-smile)
BuildRequires: mvn(com.fasterxml.jackson.module:jackson-module-jaxb-annotations)
BuildRequires: mvn(javax.ws.rs:jsr311-api)

# Disabled for now, too many problems
# https://github.com/FasterXML/jackson-jaxrs-providers/issues/20
%if 0
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-xml)
BuildRequires: mvn(javax.xml.stream:stax-api)
BuildRequires: mvn(org.codehaus.woodstox:stax2-api)
BuildRequires: mvn(org.codehaus.woodstox:woodstox-core-asl)
%endif

# test deps
BuildRequires: mvn(com.sun.jersey:jersey-core)
BuildRequires: mvn(com.sun.jersey:jersey-server)
BuildRequires: mvn(com.sun.jersey:jersey-servlet)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.eclipse.jetty:jetty-server)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlet)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: replacer

BuildArch:     noarch

%description
This is a multi-module project that contains Jackson-based JAX-RS providers for
following data formats:

* JSON (https://github.com/FasterXML/jackson-core)
* Smile (https://github.com/FasterXML/jackson-dataformat-smile)
* XML (https://github.com/FasterXML/jackson-dataformat-xml)

%package -n jackson-jaxrs-json-provider
Summary:       Jackson-JAXRS-JSON
Provides:      jackson2-jaxrs-json-provider = %{version}-%{release}
Obsoletes:     jackson2-jaxrs-json-provider < 2.1.5-3

%description -n jackson-jaxrs-json-provider
Functionality to handle JSON input/output for JAX-RS implementations
(like Jersey and RESTeasy) using standard Jackson data binding.

%package -n jackson-jaxrs-smile-provider
Summary:       Jackson-JAXRS-Smile

%description -n jackson-jaxrs-smile-provider
Functionality to handle Smile (binary JSON) input/output for
JAX-RS implementations (like Jersey and RESTeasy) using standard
Jackson data binding.

%if 0
%package -n jackson-jaxrs-xml-provider
Summary:       Jackson-JAXRS-XML

%description -n jackson-jaxrs-xml-provider
Functionality to handle Smile XML input/output for JAX-RS implementations
(like Jersey and RESTeasy) using standard Jackson data binding.
%endif

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt
%if 0
# these test fails e.g. expected:<<Bean[]><value1>1</value1><...> but was:<<Bean[ xmlns=""]><value1>1</value1><...>
rm xml/src/test/java/com/fasterxml/jackson/jaxrs/xml/TestCanDeserialize.java \
  xml/src/test/java/com/fasterxml/jackson/jaxrs/xml/TestJacksonFeaturesWithXML.java \
  xml/src/test/java/com/fasterxml/jackson/jaxrs/xml/TestJsonView.java \
  xml/src/test/java/com/fasterxml/jackson/jaxrs/xml/TestRootType.java \
  xml/src/test/java/com/fasterxml/jackson/jaxrs/xml/TestSerialize.java
%else
%pom_disable_module xml
%endif

%build

%mvn_package ":jackson-jaxrs-providers" %{name}
%mvn_package ":jackson-jaxrs-base" %{name}

%mvn_build -s 

%install
%mvn_install

%files -f .mfiles-%{name}
%doc LICENSE-2.0.txt README.md release-notes/*

%files -n jackson-jaxrs-json-provider -f .mfiles-jackson-jaxrs-json-provider
%doc LICENSE-2.0.txt

%files -n jackson-jaxrs-smile-provider -f .mfiles-jackson-jaxrs-smile-provider
%doc LICENSE-2.0.txt

%if 0
%files -n jackson-jaxrs-xml-provider -f .mfiles-jackson-jaxrs-xml-provider
%doc LICENSE-2.0.txt
%endif

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Wed Jul 17 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- update to 2.2.2
- renamed jackson-jaxrs-providers

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.1.5-1
- update to 2.1.5

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0
- renamed jackson2-jaxrs-json-provider

* Thu Sep 13 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm